Bug 101276 - X server dies when video mode changing fails
X server dies when video mode changing fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
http://bugs.xfree86.org/show_bug.cgi?...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-30 11:54 EDT by Pekka Pietikäinen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-05 15:03:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Pietikäinen 2003-07-30 11:54:48 EDT
Description of problem:

If something tries to use XF86VidMode while the machine is in another VC
(e.g. if you kill a SDL game that has a video mode restoring thing when
you exit it), XFree86 segfaults and dies. This has already been reported and fixed
upstream (bug number 381 in XFree86 bugzilla), reporting it here just to be
complete and hopefully get a fixed version in rpm format at some point :-)

The bug is probably as old as the vidmode extension, so older Red Hat releases
are affected as well.
Comment 1 Mike A. Harris 2003-08-01 06:22:31 EDT
I think a patch for this is in my patch queue, but I'll have to check when
I return home.  Good to track it here anyway nonetheless.

Thanks Pekka
Comment 2 Pekka Pietikäinen 2003-10-26 07:43:43 EST
wink wink, nudge nudge (bug still present in latest rawhide XFree86 :-) )
Comment 3 Mike A. Harris 2003-10-26 10:17:46 EST
Say no more, say no more!  ;o)

Seriously though...  I've been swamped with many other high priority things
and never did get much time to go through the huge queue of patches for
review.  ;o(   I just looked at the upstream report though, and also
XFree86 CVS patchsets, and this patch didn't get committed alone, but
rather it got committed along with about 20 other major fixes all at once
by Egbert.  I hate it when stuff gets committed all at once in one huge
atomic commit upstream.  I think Egbert does his work in a separate CVS
repository then merges changes between the two repos occasionally.
Comment 4 Mike A. Harris 2003-10-26 10:18:54 EST
I'm going to diff 4.3.0 to CVS head for that file, and analyze all bug fixes
at once, and consider for inclusion in future erratum.
Comment 5 Mike A. Harris 2003-10-30 02:58:30 EST
XFree86-4.3.0-vidmode-SEGV-fix-from-CVS-HEAD.patch has been commited to
4.3.0-42.2 and later builds which will appear in rawhide and on my ftp/yum
space on ftp://people.redhat.com/mharris/testing/unstable soon.

Changing bug to MODIFIED state.  Please confirm bug is fixed and close
as "RAWHIDE" if it is now fixed for you, or ASSIGNED if bug is still present
in new rpms.

Thanks.
Comment 6 Pekka Pietikäinen 2003-11-05 15:03:20 EST
Bug is fixed in 4.3.0-43.
Comment 7 Jay Turner 2004-01-16 11:58:41 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-406.html

Note You need to log in before you can comment on or make changes to this bug.